"use strict";
const common_vendor = require("../../../../common/vendor.js");
const common_libraries_day = require("../../../../common/libraries/day.js");
const ME_instrument_list_method = require("../method.js");
const ME_instrument_list_model = require("../model.js");
require("../../../../common/libraries/apiLoading.js");
require("../../../../gen/Apis.js");
require("../../../../common/libraries/request.js");
require("../../../../common/store/useWeAppAuthStore.js");
require("../../../../common/store/useWatermarkStore.js");
require("../../../../common/store/useWorkStore.js");
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "HouseAreaList",
  setup(__props) {
    return (_ctx, _cache) => {
      var _a, _b, _c, _d;
      return {
        a: common_vendor.f((_b = (_a = common_vendor.unref(ME_instrument_list_model.useModel)) == null ? void 0 : _a.listData) == null ? void 0 : _b.value, (i, index, i0) => {
          var _a2, _b2, _c2, _d2;
          return common_vendor.e(((_b2 = (_a2 = common_vendor.unref(ME_instrument_list_model.useModel)) == null ? void 0 : _a2.activeColor) == null ? void 0 : _b2.value) ? {
            a: (_d2 = (_c2 = common_vendor.unref(ME_instrument_list_model.useModel)) == null ? void 0 : _c2.activeColor) == null ? void 0 : _d2.value
          } : {}, {
            b: common_vendor.f(i == null ? void 0 : i.house_meter_has_houses, (res, index2, i1) => {
              return {
                a: common_vendor.t(res == null ? void 0 : res.name),
                b: `house_${index2}`
              };
            }),
            c: (i == null ? void 0 : i.usage_type) === "WaterMeter"
          }, (i == null ? void 0 : i.usage_type) === "WaterMeter" ? {} : {}, {
            d: (i == null ? void 0 : i.usage_type) === "ElectricMeter"
          }, (i == null ? void 0 : i.usage_type) === "ElectricMeter" ? {} : {}, {
            e: (i == null ? void 0 : i.usage_type) === "GasMeter"
          }, (i == null ? void 0 : i.usage_type) === "GasMeter" ? {} : {}, {
            f: (i == null ? void 0 : i.usage_type) === "HeatingMeter"
          }, (i == null ? void 0 : i.usage_type) === "HeatingMeter" ? {} : {}, {
            g: common_vendor.t(i == null ? void 0 : i.name),
            h: common_vendor.t(common_vendor.unref(common_libraries_day.ShowLastTime)(i == null ? void 0 : i.latest_time)),
            i: common_vendor.o(($event) => {
              var _a3;
              return (_a3 = common_vendor.unref(ME_instrument_list_method.method)) == null ? void 0 : _a3.handleToAdd(i);
            }, `items_${index}`),
            j: `items_${index}`
          });
        }),
        b: (_d = (_c = common_vendor.unref(ME_instrument_list_model.useModel)) == null ? void 0 : _c.activeColor) == null ? void 0 : _d.value
      };
    };
  }
});
const Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-fdeb1d46"], ["__file", "/Users/zsq/Sources/github/2025property-pay/pay-employee/src/ME/instrument/list/components/HouseAreaList.vue"]]);
wx.createComponent(Component);
